EPPDomainDelete (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0402.rtk.xml.EPPDomainDelete class

### com.tucows.oxrs.epp0402.rtk.xml

# Class EPPDomainDelete

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0402.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0402.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0402.rtk.xml.EPPDomainBase`
      - - `com.tucows.oxrs.epp0402.rtk.xml.EPPDomainDelete`

Implemented Interfaces:
  epp_Action, epp_ActionOperations, epp_DomainDelete, epp_DomainDeleteOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class EPPDomainDelete`
`extends EPPDomainBase`
`implements epp_DomainDelete`

Class for the EPP Domain Delete command and response. Extends the epp_DomainDelete interface from the EPP IDLs to provide the XML translation for the EPP Domain Delete command. The Delete command allows a client to destroy an instance of an EPP object in the server. The deletion of an EPP object is subject to constraints as stated in the EPP Spec. the XML translation for the EPP Domain Delete command. Usage is demonstrated in the com.tucows.oxrs.epp0402.rtk.example.DomainExample class.

See Also:
  `DomainExample`, `epp_Action`, `epp_DomainDelete`, `epp_DomainDeleteReq`, `epp_DomainDeleteRsp`, `Domain Spec for more information`

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0402.rtk.xml.EPPDomainBase
  `contact_type_hash_`, `domain_status_hash_`

  ### Fields inherited from class com.tucows.oxrs.epp0402.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0402.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPDomainDelete()` Default constructor
  `EPPDomainDelete(String xml)` Constructor with response XML string to automatically parse.

  ## Method Summary
  `void` | `fromXML(String xml)` Parses a new XML String and populates the response data member.
  `epp_DomainDeleteRsp` | `getResponseData()` Accessor method for the domain delete response data.
  `void` | `setRequestData(epp_DomainDeleteReq value)` Accessor method for the domain delete request data.
  `String` | `toXML()` Builds request XML from the request data.

  ### Methods inherited from class com.tucows.oxrs.epp0402.rtk.xml.EPPDomainBase
  `domainContactTypeToString`, `domainStatusFromString`, `domainStatusToString`, `getTrnData`, `initContactTypeHash`, `initDomainStatusHash`, `initHashes`, `setCommonAttributes`

  ### Methods inherited from class com.tucows.oxrs.epp0402.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getNode`, `getUnspecNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareUnspecElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0402.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Constructor Details

### EPPDomainDelete

    public EPPDomainDelete()

> Default constructor

### EPPDomainDelete

    public EPPDomainDelete(String xml)
                throws epp_XMLException,
                       epp_Exception

> Constructor with response XML string to automatically parse.
> Parameters:
>   `xml` - The EPP Domain Delete response XML String
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `fromXML(String)`

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_XMLException,
                       epp_Exception

> Parses a new XML String and populates the response data member. Implemented method from org.openrtk.idl.epp0402.epp_Action interface.
> Specified by:
>   fromXML in interface epp_ActionOperations
> Parameters:
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `epp_Action`

### getResponseData

    public epp_DomainDeleteRsp getResponseData()

> Accessor method for the domain delete response data.
> Specified by:
>   getResponseData in interface epp_DomainDeleteOperations
> Returns:
>   value org.openrtk.idl.epp0402.epp_DomainDeleteRsp

### setRequestData

    public void setRequestData(epp_DomainDeleteReq value)

> Accessor method for the domain delete request data. Must be set to for this command.
> Specified by:
>   setRequestData in interface epp_DomainDeleteOperations
> Parameters:
>   `value` - org.openrtk.idl.epp0402.epp_DomainDeleteReq

### toXML

    public String toXML()
                throws epp_XMLException

> Builds request XML from the request data. Implemented method from org.openrtk.idl.epp0402.epp_Action interface.
> Specified by:
>   toXML in interface epp_ActionOperations
> Throws:
>   `epp_XMLException` - if required data is missing
> See Also:
>   `setRequestData(epp_DomainDeleteReq)`, `epp_Action`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS